Skip to main content
GET
Volume Profile

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

An option contract in the OSI format.

Example:

"TSLA230526P00167500"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

Volume data for an option contract at a specific price level on a particular trading day. Includes breakdowns of volume by trade type (ask, bid, mid, multi-leg, sweep, floor, cross).

ask_vol
integer

The amount of volume that happened on the ask side.

Ask side is defined as (ask + bid) / 2 < fill price.

Example:

119403

bid_vol
integer

The amount of volume that happened on the bid side.

Bid side is defined as (ask + bid) / 2 > fill price.

Example:

122789

cross_vol
integer

The amount of cross volume. Cross volume consists of all transaction that have the cross trade code.

Example:

0

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

floor_vol
integer

The amount of floor volume. Floor volume consists of all transaction that have the floor trade code.

Example:

142

mid_vol
integer

The amount of volume that happened in the middle of the ask and bid.

Mid is defined as (ask + bid) / 2 == fill price.

Example:

22707

multi_vol
integer

The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more.

Example:

7486

price
string

The fill price of the option trade.

Example:

"21.50"

sweep_vol
integer

The amount of sweep volume. Sweep volume consists of all transaction that have the sweep trade code.

Example:

18260

transactions
integer

The amount of transaction for this contract.

Example:

39690

volume
integer

The contract volume.

Example:

264899

Last modified on September 29, 2026